PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zgecon | ( | PLASMA_enum | norm,
|  | int | N,
|  | PLASMA_Complex64_t * | A,
|  | int | LDA,
|  | double | Anorm,
|  | double * | rcond
| ) |  |

PLASMA_zgecon - estimates the reciprocal of the condition number of a general complex matrix A, in either the 1-norm or the infinity-norm, using the LU factorization computed by PLASMA_zgetrf().

An estimate is obtained for norm(inv(A)), and the reciprocal of the condition number is computed as

\[ rcond = \frac{1}{\|\|A\-\| \times \-\|A^{-1}\|\|} \]

Parameters

  [in] | norm | Specifies whether the 1-norm condition number or the infinity-norm condition number is required: = PlasmaOneNorm: One norm = PlasmaInfNorm: Infinity norm
  [in] | N | The order of the matrix A. N >= 0.
  [in] | A | The N-by-N matrix A.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,N).
  [in] | Anorm | If norm = PlasmaOneNorm, the 1-norm of the original matrix A. If norm = PlasmaInfNorm, the infinity-norm of the original matrix A.
  [out] | rcond | The reciprocal of the condition number of the matrix A, computed as stated above.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_zgecon_Tile
  PLASMA_zgecon_Tile_Async
  PLASMA_cgecon
  PLASMA_dgecon
  PLASMA_sgecon